import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:fireflutter/fireflutter.dart';
import 'package:flutter/material.dart';

class UserFutureDoc extends StatelessWidget {
  const UserFutureDoc({required this.uid, required this.builder, Key? key})
      : super(key: key);
  final String uid;
  final Widget Function(UserModel) builder;

  @override
  Widget build(BuildContext context) {
    return FutureBuilder<DocumentSnapshot<Map<String, dynamic>>>(
      future: FirebaseFirestore.instance.collection('user').doc(uid).get(),
      builder: (BuildContext context, snapshot) {
        if (snapshot.hasError) {
          return Text('Something went wrong');
        }
        if (snapshot.connectionState == ConnectionState.waiting) {
          return CircularProgressIndicator.adaptive();
        }
        if (snapshot.hasData && snapshot.data!.exists) {
          return builder(UserModel.fromJson(snapshot.data!.data()!));
        } else {
          return builder(UserModel.nonExist());
        }
      },
    );
  }
}
